Compare commits

..

16 commits
main ... dev

2 changed files with 6 additions and 27 deletions

View file

@ -1,21 +0,0 @@
mklni - Image builder for nabu, running in alpine chroot
=======
## Installation
1. Create a new directory
2. Download [mklni](https://git.timoxa0.su/timoxa0/mklni/src/branch/main/mklni.sh) in that directory
3. Allow executing mklin ```chmod +x mklni```
4. Install chroot ```sudo ./mklni install```
## Usage
- Setup build chroot ```sudo ./mklni install```
- Remove build chroot ```sudo ./mklni uninstall```
- Make image ```sudo ./mklni build path/to/lnibuild```. Image will be created in same directory
- Clean raw images ```sudo ./mklni -r or --cleanraw```
- Clean build chroots ```sudo ./mklni -c or --cleanup```
- Chroot into ```sudo ./mklni chroot```

12
mklni
View file

@ -74,7 +74,7 @@ arguments() {
update
break 2 ;;
-r | -c | -w | --cleanraw | --cleanup | --cleancache)
-r | -c | --cleanraw | --cleanup)
run_makelni "$opt"
break 2 ;;
@ -236,15 +236,15 @@ install_chroot()
log "Failed to update apk repos" error
exit 1
}
log "Installing packages"
chroot "$CHROOTDIR" apk add --quiet shadow umount fish bash git zstd debootstrap pixz losetup rsync pv wget e2fsprogs e2fsprogs-extra libarchive-tools coreutils go libusb libusb-dev pkgconfig || {
log "Installing pakages"
chroot "$CHROOTDIR" apk add --quiet shadow fish bash git debootstrap pixz losetup rsync pv wget e2fsprogs e2fsprogs-extra libarchive-tools coreutils go libusb libusb-dev pkgconfig || {
log "Failed to install packages" error
exit 1
}
chroot "$CHROOTDIR" chsh -s /usr/bin/fish root
log "Cloning makelni repo"
chroot "$CHROOTDIR" git clone --recursive "https://git.timoxa0.su/timoxa0/makelni.git" /makelni || {
chroot "$CHROOTDIR" git clone --quiet "https://git.timoxa0.su/timoxa0/makelni.git" /makelni || {
log "Failed to clone makelni repo" error
exit 1
}
@ -260,7 +260,7 @@ install_chroot()
log "Installing lon-tool"
{
chroot "$CHROOTDIR" git clone --recursive https://git.timoxa0.su/timoxa0/lon-tool.git /lon-tool-src &&
chroot "$CHROOTDIR" git clone --quiet https://git.timoxa0.su/timoxa0/lon-tool.git /lon-tool-src &&
chroot "$CHROOTDIR" /bin/bash -c 'cd /lon-tool-src && rev=$(git describe --abbrev=4 --dirty --always --tags) && go get git.timoxa0.su/timoxa0/lon-tool/cmd && go build -ldflags "-X git.timoxa0.su/timoxa0/lon-tool/cmd.version=$rev" -o /bin/lon-tool main.go'
} || {
@ -392,7 +392,7 @@ update()
}
log "Updating makelni"
chroot "$CHROOTDIR" /bin/bash -c "cd /makelni && git submodule update --init && git pull --recurse-submodules --rebase"
chroot "$CHROOTDIR" /bin/bash -c "cd /makelni && git pull"
local exitcode=$?
detach_chroot || {